---
updatedAt: 2026-03-23T13:43:25.000Z
agentTools:
  projectIndex: https://developer.validic.com/llms.txt
---

# Measurements

Returns a list of measurements for a given user 

GET /organizations/:org_id/users/:uid/measurements

## Request Information

### Request Parameters

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Name
      </th>

      <th style={{ textAlign: "left" }}>
        Required Field
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        start\_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        end\_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        source
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Used to filter records to source(s).\
        Example:\
         “...?source=fitbit,garmin”\
        or\
        “...?source=fitbit”
      </td>
    </tr>
  </tbody>
</Table>

### HTTP Response Status

| Response Code     | Description                                                   |
| :---------------- | :------------------------------------------------------------ |
| 200 (Ok)          | Indicates the request was received and a result was returned. |
| 400 (Bad Request) | Indicates that there was an error with request                |

### Field Description

|                       |         |                                                                                                                                                                                                                                                                                            |
| :-------------------- | :------ | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| version               | string  | Indicates the resource payload version. Validic will make future updates to the structure of the resource payload where breaking changes will receive a new version.                                                                                                                       |
| id                    | string  | Unique identifier for the record.                                                                                                                                                                                                                                                          |
| checksum              | string  | A derived value useful when comparing records with the same `id` for data updates.                                                                                                                                                                                                         |
| type                  | string  | The Validic Resource type. For Measurement records the type will be `measurements`.                                                                                                                                                                                                        |
| start\_time           | string  | The start time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                              |
| end\_time             | string  | The end time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |
| utc\_offset           | integer | The offset in seconds from UTC.                                                                                                                                                                                                                                                            |
| offset\_origin        | string  | The source of the UTC offset. Valid values: `source` (UTC offset received from the original record), `profile` (UTC offset received from the source's user profile), `user_defined` (UTC offset provided by user's time zone selection upon authorization through the Validic Marketplace) |
| user                  | object  | A User object that contains identifiers related to the user.                                                                                                                                                                                                                               |
| user>uid              | string  | The customer's user ID.                                                                                                                                                                                                                                                                    |
| user>user\_id         | string  | Validic user ID.                                                                                                                                                                                                                                                                           |
| user>organization\_id | string  | Validic organization ID.                                                                                                                                                                                                                                                                   |
| log\_id               | string  | The unique identifier for the record provided by the source.                                                                                                                                                                                                                               |
| source                |         | A source object that contains source specific information.                                                                                                                                                                                                                                 |
| source>type           | string  | The source Validic retrieved the data from.                                                                                                                                                                                                                                                |
| source>device         | object  | A device object containing information about the device that generated the data if available.                                                                                                                                                                                              |
| source>device>name    | string  | The name of the device.                                                                                                                                                                                                                                                                    |
| source>device>type    | string  | The type of the device.                                                                                                                                                                                                                                                                    |
| metrics               | array   | An array of Metrics. Refer to the Metrics documentation for further information.                                                                                                                                                                                                           |
| created\_at           | string  | The record processed time represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "inform-data-resources",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://api.v2.validic.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/organizations/{org_id}/users/{uid}/measurements?token={token}": {
      "get": {
        "summary": "Measurements",
        "description": "Returns a list of measurements for a given user \n\nGET /organizations/:org_id/users/:uid/measurements",
        "operationId": "measurements",
        "parameters": [
          {
            "name": "org_id",
            "in": "path",
            "description": "Organization ID provided to you by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "uid",
            "in": "path",
            "description": "The UID you defined when provisioning the client.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "start_date",
            "in": "query",
            "description": "The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "end_date",
            "in": "query",
            "description": "The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Used to filter records to source(s).  Example:  “...?source=fitbit,garmin” or  “...?source=fitbit”",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "token",
            "in": "path",
            "description": "Developer Key as supplied by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "data": [
                        {
                          "checksum": "11c7c5a7833f3ea41fd3fc173544fe3e",
                          "created_at": "2026-03-11T17:06:09.473Z",
                          "deleted_at": null,
                          "end_time": "2026-03-10T03:59:59Z",
                          "id": "3af2f56dSAMPLE39ec002d3d1f2ffd5",
                          "log_id": "1568073599000",
                          "metrics": [
                            {
                              "type": "body_weight",
                              "origin": "unknown",
                              "unit": "kg",
                              "value": 130.2
                            },
                            {
                              "type": "bmi",
                              "origin": "unknown",
                              "unit": "kg/m2",
                              "value": 44.96
                            }
                          ],
                          "offset_origin": "profile",
                          "source": {
                            "type": "fitbit",
                            "device": null
                          },
                          "start_time": "2026-03-10T03:59:59Z",
                          "tags": [],
                          "type": "measurement",
                          "user": {
                            "organization_id": "59b02bbdfSample0001e13e75",
                            "user_id": "59b02bdeSAMPLE0001e13e8c",
                            "uid": "vpt12345sp"
                          },
                          "user_notes": [],
                          "utc_offset": -14400,
                          "version": "1.0"
                        },
                        {
                          "checksum": "b70c984c9ec56eb631e71b27d615a299",
                          "created_at": "2026-03-24T16:22:16.010Z",
                          "deleted_at": null,
                          "end_time": "2026-03-24T16:21:00Z",
                          "id": "702d5fc3SAMPLE1517279486e245d5",
                          "log_id": "1616804489",
                          "metrics": [
                            {
                              "type": "diastolic",
                              "origin": "manual",
                              "unit": "mmHg",
                              "value": 75
                            },
                            {
                              "type": "systolic",
                              "origin": "manual",
                              "unit": "mmHg",
                              "value": 137
                            },
                            {
                              "type": "pulse",
                              "origin": "manual",
                              "unit": "bpm",
                              "value": 55
                            }
                          ],
                          "offset_origin": "source",
                          "source": {
                            "type": "nokia",
                            "device": null
                          },
                          "start_time": "2026-03-24T16:21:00Z",
                          "tags": [],
                          "type": "measurement",
                          "user": {
                            "organization_id": "59b02bbdfSample0001e13e75",
                            "user_id": "59b02bdeSAMPLE0001e13e8c",
                            "uid": "vpt12345sp"
                          },
                          "user_notes": [],
                          "utc_offset": -14400,
                          "version": "1.0"
                        },
                        {
                          "checksum": "d8346c70a16d728f265d0ec0adb76b46",
                          "created_at": "2026-03-24T16:21:59.634Z",
                          "deleted_at": null,
                          "end_time": "2026-03-24T16:21:43Z",
                          "id": "5d4c89623fdSAMPLEe8d98b604a387",
                          "log_id": "1616804353",
                          "metrics": [
                            {
                              "type": "pulse",
                              "origin": "device",
                              "unit": "bpm",
                              "value": 55
                            }
                          ],
                          "offset_origin": "source",
                          "source": {
                            "type": "nokia",
                            "device": null
                          },
                          "start_time": "2026-03-24T16:21:43Z",
                          "tags": [],
                          "type": "measurement",
                          "user": {
                            "organization_id": "59b02bbdfSample0001e13e75",
                            "user_id": "59b02bdeSAMPLE0001e13e8c",
                            "uid": "vpt12345sp"
                          },
                          "user_notes": [],
                          "utc_offset": -14400,
                          "version": "1.0"
                        }
                      ]
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "checksum": {
                            "type": "string",
                            "example": "11c7c5a7833f3ea41fd3fc173544fe3e"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2019-10-11T17:06:09.473Z"
                          },
                          "deleted_at": {},
                          "end_time": {
                            "type": "string",
                            "example": "2019-09-10T03:59:59Z"
                          },
                          "id": {
                            "type": "string",
                            "example": "3af2f56dSAMPLE39ec002d3d1f2ffd5"
                          },
                          "log_id": {
                            "type": "string",
                            "example": "1568073599000"
                          },
                          "metrics": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "type": {
                                  "type": "string",
                                  "example": "body_weight"
                                },
                                "origin": {
                                  "type": "string",
                                  "example": "unknown"
                                },
                                "unit": {
                                  "type": "string",
                                  "example": "kg"
                                },
                                "value": {
                                  "type": "number",
                                  "example": 130.2,
                                  "default": 0
                                }
                              }
                            }
                          },
                          "offset_origin": {
                            "type": "string",
                            "example": "profile"
                          },
                          "source": {
                            "type": "object",
                            "properties": {
                              "type": {
                                "type": "string",
                                "example": "fitbit"
                              },
                              "device": {}
                            }
                          },
                          "start_time": {
                            "type": "string",
                            "example": "2019-09-10T03:59:59Z"
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "type": {
                            "type": "string",
                            "example": "measurement"
                          },
                          "user": {
                            "type": "object",
                            "properties": {
                              "organization_id": {
                                "type": "string",
                                "example": "59b02bbdfSample0001e13e75"
                              },
                              "user_id": {
                                "type": "string",
                                "example": "59b02bdeSAMPLE0001e13e8c"
                              },
                              "uid": {
                                "type": "string",
                                "example": "vpt12345sp"
                              }
                            }
                          },
                          "user_notes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "utc_offset": {
                            "type": "integer",
                            "example": -14400,
                            "default": 0
                          },
                          "version": {
                            "type": "string",
                            "example": "1.0"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Indicates that there was an error with request\n"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        \"Token is not authorized to access organization\"\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Token is not authorized to access organization"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"message\": \"Invalid authentication credentials\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Invalid authentication credentials"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n  --url 'https://api.v2.validic.com/organizations/59b02bbdfSample0001e13e75/users/vpt12345sp/measurements?token=6f46db36d54sample91698fcd0896'"
            },
            {
              "language": "ruby",
              "code": "require 'uri'\nrequire 'net/http'\n\nurl = URI(\"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/demotestuser1/measurements?token=6f46db36dd6543d2b82d91698fcd0896\")\n\nhttp = Net::HTTP.new(url.host, url.port)\n\nrequest = Net::HTTP::Get.new(url)\n\nresponse = http.request(request)\nputs response.read_body"
            },
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/demotestuser1/measurements\"\n\nquerystring = {\"token\":\"6f46db36dd6543d2b82d91698fcd0896\"}\n\nresponse = requests.request(\"GET\", url, params=querystring)\n\nprint(response.text)"
            },
            {
              "language": "go",
              "code": "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/demotestuser1/measurements?token=6f46db36dd6543d2b82d91698fcd0896\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
            },
            {
              "language": "php",
              "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/demotestuser1/measurements?token=6f46db36dd6543d2b82d91698fcd0896\",\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => \"\",\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 30,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => \"GET\",\n));\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n  echo \"cURL Error #:\" . $err;\n} else {\n  echo $response;\n}"
            }
          ],
          "samples-languages": [
            "curl",
            "ruby",
            "python",
            "go",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```